Bug 135089 - Move Presenter Console checkbox from Tools/Options to Slide Show Settings
Summary: Move Presenter Console checkbox from Tools/Options to Slide Show Settings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.3.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 136935 (view as bug list)
Depends on:
Blocks: 62179 Slide-Show Presenter-Console
  Show dependency treegraph
 
Reported: 2020-07-24 04:56 UTC by Luke Kendall
Modified: 2020-09-22 10:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Kendall 2020-07-24 04:56:01 UTC
I wanted to be able to use my 2nd display for something other than the presentation, when presenting. I expected to find an option to limit the slideshow to use just one screen, but there was no such option under Slideshow->Settings.
I needed to do a google search and found the capability via this article:
https://stackoverflow.com/questions/29036788/how-to-disable-libreoffice-impress-to-use-multiple-display

The ability to limit to one display should (also) be accessible via the Slideshow settings panel, I suggest.

Please consider.
Comment 1 Timur 2020-07-29 17:59:44 UTC
It's rather clear what you what and explained that you need to disable the presenter console:
    Go to Tools > Options;
    Then choose Open Office Impress > General in the left menu;
    Then under the Start Presentation section on the right side;
    uncheck the box with Presenter Screen.

What's not clear is use case for your further request that this be accessible via the Slideshow settings.
Whole point of presentation is to show to audience on large screen and that's why Presenter Screen.
Your case is what, you are presenting to a couple of people who look at your monitor, and you need something else on second (not large) monitor?
Also, would you scenario require a frequent change between normal dual and single screen presentation, or you have it fixed now for a long time.
Comment 2 Timur 2020-07-29 20:17:35 UTC
While waiting for an explanation, I think this should be accepted because, like for printer setting, we can have permanent setting (in Tools - Options) and temporary one (in SlideShow - Setting).
Since we already have a mockup attachment 163669 [details] from bug 102839, there in Options could be added the box with Presenter Screen, to turn it on/off for a single presentation.
Comment 3 Luke Kendall 2020-07-29 23:42:21 UTC
Perhaps I would not be the only user expecting control over the presentation mode to be via the Slideshow Settings?
Perhaps I think that because I don't draw such a clear distinction between Slideshow mode and Presentation?
I would just like a way to reach the option via the Slideshow Settings, so even if there was a button there you could click ("Presentation Settings"?) that took you to the Start Presentation section, that would make the feature more discoverable.

My use case is running a presentation to many people watching from across the internet, so I have two screens for my use but only one video stream for watchers.
My smaller screen is occupied with the full screen presentation, and my larger screen is filled with other stuff for my reference, or other programs I can switch to as desired.
My scenario would mainly be showing the presentation for long periods, and my main screen for my "script" and other reference material that would be too small if squeezed into a Notes section.

Thanks for considering this.
Comment 4 Heiko Tietze 2020-07-30 08:47:49 UTC
(In reply to Timur from comment #2)
> Options could be added the box with Presenter Screen, to turn it
> on/off for a single presentation.

Sounds reasonable but what do we need the setting at Tools > Options for? So rather adding it another checkbox here which default depends on the options we move the option.
Comment 5 Timur 2020-07-30 11:11:46 UTC
Right, Tools-Options is redundant then, just in SlideShow - Setting is enough.
Note that setting of Presenter Console use must be remembered and also work for separate command of Rehearse Timings per bug 62179.
So I change the title. 
With bug 124505 that would make a full set of options.
Comment 6 Timur 2020-07-30 11:22:40 UTC
Once this bug is resolved, bug 62179 becomes very simple, just set "StartAlways" to True by default, and user has full control of either behavior.
Comment 7 Heiko Tietze 2020-07-30 11:28:23 UTC
(In reply to Timur from comment #6)
> Once this bug is resolved, bug 62179 becomes very simple, just set
> "StartAlways" to True by default, and user has full control of either
> behavior.

Thought about the same but wouldn't do it. Presentation and console on one screen has no practical use case. Rehearsal can be done independently and QA should be able to find the switch.

If we get rid of StartAlways (no need for being true) the new default of the checkbox Console should depend on single/multiple screen, at least.
Comment 8 Timur 2020-09-22 10:16:24 UTC
*** Bug 136935 has been marked as a duplicate of this bug. ***